#version 120

varying vec4 diffuse,ambient;
varying vec3 normal,lightDir,halfVector;

uniform float time;
void main()
	{
		vec3 n,halfV,viewV,ldir;
		float NdotL,NdotHV;
		vec4 color = ambient;
		
		float glow = 0.1 - abs(1.0 - time - gl_TexCoord[0].x);
		
		vec4 cEnd = vec4(0,pow(gl_TexCoord[0].x,0.0)*0.0,pow(1.0f-gl_TexCoord[0].x,6.0)*0.0,0.0);
		
		color -= 0.37;
		color.rg *= max(1.0,  pow(0.0+glow,0));
		
		/* a fragment shader can't write a verying variable, hence we need
		a new variable to store the normalized interpolated normal */
		n = normalize(normal);
		
		/* compute the dot product between normal and ldir */
		NdotL = max(dot(n,lightDir),0.0);
	
		if (NdotL > 0.0) {
			halfV = normalize(halfVector);
			NdotHV = max(dot(n,halfV),0.0);
			color += gl_FrontMaterial.specular * gl_LightSource[0].specular * pow(NdotHV,gl_FrontMaterial.shininess);
			color += diffuse * NdotL;
		}
	
		
		
		gl_FragColor = color+cEnd;
	}
